"pgnvd-Error-Required tool gcc was not found" error when using openacc on power9

Post Reply
mnolta49593
Posts: 1
Joined: Jul 27 2015

"pgnvd-Error-Required tool gcc was not found" error when using openacc on power9

Post by mnolta49593 » Tue Feb 11, 2020 11:39 am

We're installing the PGI compilers on a Power9/Volta HPC cluster. We created a localrc file via:

Code: Select all

makelocalrc -gcc core-gcc -g++ core-g++ -g77 core-gfortran
Note the non-standard names for gcc etc.

When we compile an OpenACC program, we get the following error:

Code: Select all

pgnvd-Error-Required tool gcc was not found
The problem appears to be the following line in pgnvdlinpowerrc.

Code: Select all

tool cuprepro is program(gcc) directory($PATH);

mkcolg
Posts: 8319
Joined: Jun 30 2004

Re: "pgnvd-Error-Required tool gcc was not found" error when using openacc on power9

Post by mkcolg » Tue Feb 11, 2020 12:57 pm

Thanks mnolta49593, I've filled an issue report, TPR #28112, and sent it to engineer to see what we can do here.

-Mat

Post Reply